package com.qmth.exam.reserve.bean.category;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class CategoryInfo implements IModel {

    private static final long serialVersionUID = 7281573122925814645L;

    @ApiModelProperty(value = "父级ID")
    private Long parentId;

    @ApiModelProperty(value = "分类ID")
    private Long id;

    @ApiModelProperty(value = "分类名称")
    private String name;

    @ApiModelProperty(value = "分类层级")
    private Integer level;

    @ApiModelProperty(value = "子级列表")
    private List<CategoryInfo> subNodes;

}
