package com.qmth.exam.reserve.bean.student;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentInfo implements IModel {

    private static final long serialVersionUID = 2020394144891265954L;

    @ApiModelProperty(value = "学校ID")
    private Long orgId;

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "考生学号")
    private String studentCode;

    @ApiModelProperty(value = "考生证件号")
    private String identityNumber;

    @ApiModelProperty(value = "考生头像相对路径")
    private String photoPath;

    @ApiModelProperty(value = "性别")
    private String gender;

    @ApiModelProperty(value = "允许预约时段数量")
    private Integer applyNumber;

    @ApiModelProperty(value = "所属预约任务ID")
    private Long applyTaskId;

    @ApiModelProperty(value = "所属教学点ID")
    private Long categoryId;

    @ApiModelProperty(value = "教学点名称")
    private String categoryName;

    @ApiModelProperty(value = "微信OID")
    private String openId;

    @ApiModelProperty(value = "微信UID")
    private String uid;

}
