package com.qmth.exam.reserve.bean.systemproperty;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class SystemPropertyBean implements IModel {

    private static final long serialVersionUID = -4792340070350637795L;

    @ApiModelProperty(value = "文件访问前缀")
    private String fileUrlPrefix;

    @ApiModelProperty(value = "当前学校名称")
    private String orgTitle;

    @ApiModelProperty(value = "当前预约任务名称")
    private String taskTitle;

    @ApiModelProperty(value = "分类层级别名集合")
    private String categoryLevels;

}
