package com.qmth.exam.reserve.bean.task;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ApplyTaskVO implements IModel {

    private static final long serialVersionUID = -7196168241899887928L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("任务名称")
    private String name;

    @ApiModelProperty("自主预约起始时间")
    private Long selfApplyStartTime;

    @ApiModelProperty("自主预约截止时间")
    private Long selfApplyEndTime;

    @ApiModelProperty("开放式预约起始时间")
    private Long openApplyStartTime;

    @ApiModelProperty("开放式预约截止时间")
    private Long openApplyEndTime;

    @ApiModelProperty("任务状态")
    private Boolean enable;

    @ApiModelProperty("更新时间")
    private Long updateTime;

}
