package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_exam_room")
public class ExamRoomEntity extends BaseEntity {

    private static final long serialVersionUID = 3989318075350506133L;

    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 考场代码
     */
    private String code;

    /**
     * 考场名称
     */
    private String name;

    /**
     * 所属考点ID
     */
    private Long examSiteId;

    /**
     * 考场地址
     */
    private String address;

    /**
     * 机房容量
     */
    private Integer capacity;

}
