package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_exam_site")
public class ExamSiteEntity extends BaseEntity {

    private static final long serialVersionUID = 7033132655967035750L;

    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 考点代码
     */
    private String code;

    /**
     * 考点名称
     */
    private String name;

    /**
     * 所属教学点ID
     */
    private Long categoryId;

    /**
     * 容量,考点下所有机房的容量
     */
    private Integer capacity;

    /**
     * 考点地址
     */
    private String address;

    /**
     * 考点指引
     */
    private String guide;

}
