package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_system_property")
public class SystemPropertyEntity extends BaseEntity {

    private static final long serialVersionUID = -2689422702620489674L;

    /**
     * 所属机构ID（学校）
     */
    private Long orgId;

    /**
     * 属性键
     */
    private String propKey;

    /**
     * 属性值
     */
    private String propValue;

}
