package com.qmth.exam.reserve.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import com.qmth.exam.reserve.service.StudentApplyService;

@Service
public class AutoArrangeExamJob {

    @Autowired
    private StudentApplyService studentApplyService;

    @Scheduled(cron = "0 * 12 * * ?")
    public void autoArrangeExam() {
        studentApplyService.autoLayout(null);
    }
}
