package com.qmth.exam.reserve.weixin.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class OauthAccessTokenResponseJson extends WxResponseJson {

    @ApiModelProperty("网页授权接口调用凭证")
    private String access_token;

    @ApiModelProperty("access_token接口调用凭证超时时间")
    private int expires_in;

    @ApiModelProperty("用户刷新access_token")
    private String refresh_token;

    @ApiModelProperty("用户唯一标识")
    private String openid;

    @ApiModelProperty("用户授权的作用域")
    private String scope;

}
