package com.qmth.exam.reserve.bean.apply;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class ApplyTimePeriodResult implements IModel {

    private static final long serialVersionUID = -3409273876889581427L;

    @ApiModelProperty(value = "剩余预约时段数量")
    private Integer unApplyNumber;

    @ApiModelProperty(value = "时段列表")
    private List<TimePeriodInfo> periodList;

}
