package com.qmth.exam.reserve.bean.apply;

import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.enums.ApplyStatus;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TimePeriodInfo implements IModel {

    private static final long serialVersionUID = 8158455040867688700L;

    @ApiModelProperty(value = "预约时段ID")
    private Long timePeriodId;

    @ApiModelProperty(value = "预约时段开始")
    private Long timePeriodStart;

    @ApiModelProperty(value = "预约时段结束")
    private Long timePeriodEnd;

    @ApiModelProperty(value = "剩余可约数量")
    private Integer availableCount;

    @ApiModelProperty(value = "状态")
    private ApplyStatus status;

}
