package com.qmth.exam.reserve.bean.applytask;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CurrentApplyTaskVO implements IModel {

    private static final long serialVersionUID = -7196168241899887928L;

    @ApiModelProperty("机构ID")
    private Long orgId;

    @ApiModelProperty("机构名称")
    private String orgName;

    @ApiModelProperty("任务ID")
    private Long taskId;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("考前多少天，禁止考生自主预约")
    private Integer allowApplyDays;

    @ApiModelProperty("考前多少天，禁止考生自主取消预约")
    private Integer allowApplyCancelDays;

    @ApiModelProperty("自主预约起始时间")
    private Long selfApplyStartTime;

    @ApiModelProperty("自主预约截止时间")
    private Long selfApplyEndTime;

    @ApiModelProperty("开放式预约起始时间")
    private Long openApplyStartTime;

    @ApiModelProperty("开放式预约截止时间")
    private Long openApplyEndTime;

}
