package com.qmth.exam.reserve.bean.stdapply;

import com.qmth.exam.reserve.bean.PagerReq;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentApplyReq extends PagerReq {

    private static final long serialVersionUID = -4945630927057518990L;

    @ApiModelProperty("教学点ID")
    private Long teachingId;

    @ApiModelProperty("考点ID")
    private Long agentId;

    @ApiModelProperty("考生姓名")
    private String name;

    @ApiModelProperty("证件号码")
    private String identityNumber;

    @ApiModelProperty("考生学号")
    private String studentCode;
}
