package com.qmth.exam.reserve.bean.student;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class WechatBindReq implements IModel {

    private static final long serialVersionUID = -3639457038451359896L;

    @ApiModelProperty(value = "考生-微信OID", required = true)
    private String openId;

    @ApiModelProperty(value = "考生-微信UID")
    private String uid;

    @ApiModelProperty(value = "考生ID", hidden = true)
    private Long studentId;

}
