package com.qmth.exam.reserve.bean.studentimport;

import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.enums.ImportStatus;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentImportTaskVO implements IModel {

    private static final long serialVersionUID = 6720458613472861727L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("任务名称")
    private String name;

    @ApiModelProperty("上传文件名称")
    private String fileName;

    @ApiModelProperty("状态")
    private ImportStatus status;

    @ApiModelProperty("异常信息")
    private String message;

    @ApiModelProperty("上传时间")
    private Long uploadTime;

}
