package com.qmth.exam.reserve.bean.task;

import com.qmth.exam.reserve.bean.IModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ApplyTaskReq implements IModel {

    private static final long serialVersionUID = -1610996900633972962L;

    @ApiModelProperty(required = true, value = "任务名称")
    private String name;

    @ApiModelProperty("任务ID")
    private Long id;

    @ApiModelProperty(required = true, value = "考前多少天禁止考生预约")
    private Integer allowApplyDays;

    @ApiModelProperty(required = true, value = "考前多少小天禁止考生自主取消预约")
    private Integer allowApplyCancelDays;

    @ApiModelProperty(required = true, value = "自主预约起始时间")
    private Long selfApplyStartTime;

    @ApiModelProperty(required = true, value = "自主预约截止时间")
    private Long selfApplyEndTime;

    @ApiModelProperty(required = true, value = "开放式预约起始时间")
    private Long openApplyStartTime;

    @ApiModelProperty(required = true, value = "开放式预约截止时间")
    private Long openApplyEndTime;

}
