package com.qmth.exam.reserve.bean.task;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ApplyTaskRuleVO extends ApplyTaskVO {

    private static final long serialVersionUID = 6328710318819146763L;

    @ApiModelProperty("考前多少天，禁止考生自主预约")
    private Integer allowApplyDays;

    @ApiModelProperty("考前多少天，禁止考生自主取消预约")
    private Integer allowApplyCancelDays;

    @ApiModelProperty("时段集合")
    private List<TimePeriodVO> timeList;

    @ApiModelProperty("考试须知")
    private String notice;

}
