package com.qmth.exam.reserve.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.exam.reserve.bean.applytask.CurrentApplyTaskVO;
import com.qmth.exam.reserve.bean.task.ApplyTaskPageReq;
import com.qmth.exam.reserve.bean.task.ApplyTaskRuleVO;
import com.qmth.exam.reserve.bean.task.ApplyTaskVO;
import com.qmth.exam.reserve.bean.task.TimePeriodVO;
import com.qmth.exam.reserve.entity.ApplyTaskEntity;

public interface ApplyTaskDao extends BaseMapper<ApplyTaskEntity> {

    CurrentApplyTaskVO currentApplyTask(@Param("orgId") Long orgId);

    IPage<ApplyTaskVO> page(Page<ApplyTaskVO> page, @Param(value = "req") ApplyTaskPageReq req);

    ApplyTaskRuleVO find(Long id);

    List<TimePeriodVO> getTimePeriodList(Long id);

    // void updateRule(ApplyTaskReq req);

}
