package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_category")
public class CategoryEntity extends BaseEntity {

    private static final long serialVersionUID = -2643085041792104964L;

    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 所属机构ID（学校）
     */
    private Long orgId;

    /**
     * 父级ID，顶级值为0
     */
    private Long parentId;

    /**
     * 分类代码
     */
    private String code;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 层级，第一级值为1
     */
    private Integer level;

    /**
     * 容量
     */
    private Integer capacity;

}
