package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_operate_log")
public class OperateLogEntity extends BaseEntity {

    private static final long serialVersionUID = 5398774092639307418L;

    /**
     * 操作人ID
     */
    private Long operateId;

    /**
     * 事件类型，如：考生取消预约、用户登录等
     */
    private String eventType;

    /**
     * 操作内容（JSON）
     */
    private String content;
}
