package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_student_apply")
public class StudentApplyEntity extends BaseEntity {

    private static final long serialVersionUID = -4784391259546475099L;

    /**
     * 考生ID
     */
    private Long studentId;

    /**
     * 预约的考点ID
     */
    private Long examSiteId;

    /**
     * 预约的考场ID
     */
    private Long examRoomId;

    /**
     * 预约时段ID
     */
    private Long timePeriodId;

    /**
     * 是否取消预约
     */
    private Boolean cancel;

    /**
     * 准考证号
     */
    private String ticketNumber;

    /**
     * 座位号
     */
    private String seatNumber;

    /**
     * 操作人ID
     */
    private Long operateId;

}
