package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_student_import_task")
public class StudentImportTaskEntity extends BaseEntity {

    private static final long serialVersionUID = 1552930673805926851L;

    /**
     * 操作人ID
     */
    private Long operateId;

    /**
     * 所属预约任务ID
     */
    private Long applyTaskId;

    /**
     * 导入类型
     */
    private String type;

    /**
     * 执行状态
     */
    private String status;

    /**
     * 导入文件相对路径
     */
    private String filePath;

    /**
     * 执行结果信息
     */
    private String message;
}
