package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_time_period")
public class TimePeriodEntity extends BaseEntity {

    private static final long serialVersionUID = -4080658865763412146L;

    /**
     * 所属预约任务ID
     */
    private Long applyTaskId;

    /**
     * 预约起始时间
     */
    private Long startTime;

    /**
     * 预约截止时间
     */
    private Long endTime;
}
