package com.qmth.exam.reserve.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.category.CategoryInfo;
import com.qmth.exam.reserve.bean.login.LoginUser;
import com.qmth.exam.reserve.bean.stdapply.CategoryVO;
import com.qmth.exam.reserve.bean.teaching.TeachingReq;
import com.qmth.exam.reserve.bean.teaching.TeachingVO;
import com.qmth.exam.reserve.entity.CategoryEntity;

public interface CategoryService extends IService<CategoryEntity> {

    List<CategoryVO> listTeaching(LoginUser user);

    List<CategoryInfo> getCategoryTreeForStudent(LoginUser loginUser);

    PageResult<TeachingVO> page(TeachingReq req);

}
